Subject: Re: bug#36061: Error when byte compiling

From: Robert Weiner <[email-masked]>
Date: Tue, 4 Jun 2019 01:21:51 -0400

Have to look at this.  There are some complex ordering dependencies but they are supposed to be handled by the existing file requirements.

Is the failure repeatable every time?

> On Jun 2, 2019, at 5:46 PM, LaFreniere, Joseph <[email-masked]> wrote:
> 
> I am attempting to package Hyperbole for GNU Guix using its provided emacs-build-system.  As part of the default packaging steps, Hyperbole's Emacs Lisp code is byte compiled.  This step is failing for me with the following error:
> 
>> Compiling /gnu/store/334qz3xsnfx2alz4gii2s6vgw4762ixa-emacs-hyperbole-7.0.3/share/emacs/site-lisp/guix.d/hyperbole-7.0.3/hact.el...
>> 
>> In end of data:
>> hact.el:377:1:Warning: the following functions are not known to be defined:
>>    hypb:indirect-function, hypb:emacs-byte-code-p, hattr:get,     hbut:is-p
>> Compiling /gnu/store/334qz3xsnfx2alz4gii2s6vgw4762ixa-emacs-hyperbole-7.0.3/share/emacs/site-lisp/guix.d/hyperbole-7.0.3/hactypes.el...
>> Symbol’s function definition is void: hyperbole-toggle-messaging
> 
> I can see where hyperbole-toggle-message is defined and marked for autoloading in hyperbole.el.  My best guess is that the problem is caused by the order in which the files are being byte compiled, but I would appreciate analysis from someone who is familiar with Hyperbole's source.
> 
> --
> Joseph LaFreniere
> 
> 
> 
> _______________________________________________
> Bug-hyperbole mailing list
> [email-masked]
> https://lists.gnu.org/mailman/listinfo/bug-hyperbole